Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageLogarithmicScale Class Reference

`#include <vtkImageLogarithmicScale.h>`

Inheritance diagram for vtkImageLogarithmicScale:

[legend]
Collaboration diagram for vtkImageLogarithmicScale:

[legend]
List of all members.

## Detailed Description

Passes each pixel through log function.

Date:
  2002/01/22 15:32:53

Revision:
  1.22

vtkImageLogarithmicScale passes each pixel through the function c*log(1+x). It also handles negative values with the function -c*log(1-x).

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (65%)
  - Martin, Ken (20%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageLogarithmicScale.h)`
  - .`cxx` (`/Imaging/vtkImageLogarithmicScale.cxx)`

Tests:
  vtkImageLogarithmicScale (Tests)

Definition at line 47 of file vtkImageLogarithmicScale.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetConstant (float)
virtual float | GetConstant ()
## Static Public Methods
vtkImageLogarithmicScale * | New ()
int | IsTypeOf (const char *type)
vtkImageLogarithmicScale * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageLogarithmicScale ()
| ~vtkImageLogarithmicScale ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int outExt[6], int id)
## Protected Attributes
float | Constant

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageLogarithmicScale::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 51 of file vtkImageLogarithmicScale.h.

## Constructor & Destructor Documentation

vtkImageLogarithmicScale::vtkImageLogarithmicScale | ( |  | ) | `[protected]`

vtkImageLogarithmicScale::~vtkImageLogarithmicScale | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkImageLogarithmicScale.h.

## Member Function Documentation

vtkImageLogarithmicScale* vtkImageLogarithmicScale::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageLogarithmicScale::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageLogarithmicScale::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageLogarithmicScale::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageLogarithmicScale* vtkImageLogarithmicScale::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageLogarithmicScale::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageLogarithmicScale::SetConstant | ( | float |  | ) | `[virtual]`

| Set/Get the scale factor for the logarithmic function.

virtual float vtkImageLogarithmicScale::GetConstant | ( |  | ) | `[virtual]`

| Set/Get the scale factor for the logarithmic function.

void vtkImageLogarithmicScale::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | outExt[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

float vtkImageLogarithmicScale::Constant`[protected]`

| Definition at line 64 of file vtkImageLogarithmicScale.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageLogarithmicScale.h